/*
 * This file is part of Pustefix.
 *
 * Pustefix is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Pustefix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Pustefix; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
    
package de.schlund.pfixcore.example.iwrapper;
    
import de.schlund.pfixcore.generator.*;

import de.schlund.pfixcore.generator.annotation.*;

/**
 * THIS CLASS IS AUTOGENERATED! DO NOT EDIT IN ANY WAY!
 */
@UseHandlerClass(de.schlund.pfixcore.example.FileUploadHandler.class)
public class FileUpload extends IWrapperImpl {

    @Override
    protected synchronized void registerParams() {
        
        IWrapperParam          pinfo;
        
        IWrapperParamCaster    caster;
        
        // File
        if(!params.containsKey("File")) {
        pinfo  = new IWrapperParam("File", false, false, null, "de.schlund.pfixxml.multipart.UploadFile", true);
          
        params.put("File", pinfo);
          
        caster = new de.schlund.pfixcore.generator.casters.ToUploadFile();
        pinfo.setParamCaster(caster);
    
        }  
        
      
        // Comment
        if(!params.containsKey("Comment")) {
        pinfo  = new IWrapperParam("Comment", false, true, null, "java.lang.String", true);
          
        params.put("Comment", pinfo);
          
        }  
        
      
        super.registerParams();
    }
    
    // File
    @Caster(
        type=de.schlund.pfixcore.generator.casters.ToUploadFile.class
    )
    public de.schlund.pfixxml.multipart.UploadFile getFile() {
        return (de.schlund.pfixxml.multipart.UploadFile) gimmeParamForKey("File").getValue();
    }
    
    public void setStringValFile(String v) {
        gimmeParamForKey("File").
          setStringValue(new String[] {v});
    }

    public void setFile(de.schlund.pfixxml.multipart.UploadFile v) {
        IWrapperParam iwrpParam = gimmeParamForKey("File");
        setStringValue(new de.schlund.pfixxml.multipart.UploadFile[] {v}, iwrpParam);
    }

    public void addSCodeFile(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("File"), scode, null, null);
    }

    public void addSCodeFile(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("File"), scode, args, level);
    }

    /**
      * @deprecated use addScodeFile(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsFile(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("File"), scode, args, null);
    }
        
    // Comment
    public java.lang.String getComment() {
        return (java.lang.String) gimmeParamForKey("Comment").getValue();
    }
    
    public void setStringValComment(String v) {
        gimmeParamForKey("Comment").
          setStringValue(new String[] {v});
    }

    public void setComment(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Comment");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeComment(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Comment"), scode, null, null);
    }

    public void addSCodeComment(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Comment"), scode, args, level);
    }

    /**
      * @deprecated use addScodeComment(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsComment(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Comment"), scode, args, null);
    }
        
}
  